<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'locations',

    /*
     * Package.
     */
    'package'   => 'locations',

    /*
     * Modules.
     */
    'modules'   => ['districts', 
'state'],


    'districts'       => [
        'model'             => 'Locations\Locations\Models\Districts',
        'table'             => 'districts',
        'presenter'         => \Locations\Locations\Repositories\Presenter\DistrictsItemPresenter::class,
        'hidden'            => [],
        'visible'           => [],
        'guarded'           => ['*'],
        'slugs'             => ['slug' => 'name'],
        'dates'             => ['deleted_at'],
        'appends'           => [],
        'fillable'          => ['user_id', 'name',  'id'],
        'translate'         => ['name',  'id'],

        'upload-folder'     => '/uploads/locations/districts',
        'uploads'           => [
                                    'single'    => [],
                                    'multiple'  => [],
                               ],
        'casts'             => [
                               ],
        'revision'          => [],
        'perPage'           => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],
    ],
'state'       => [
        'model'             => 'Locations\Locations\Models\State',
        'table'             => 'states',
        'presenter'         => \Locations\Locations\Repositories\Presenter\StateItemPresenter::class,
        'hidden'            => [],
        'visible'           => [],
        'guarded'           => ['*'],
        'slugs'             => ['slug' => 'name'],
        'dates'             => ['deleted_at'],
        'appends'           => [],
        'fillable'          => ['user_id', 'id',  'name'],
        'translate'         => ['id',  'name'],

        'upload-folder'     => '/uploads/locations/state',
        'uploads'           => [
                                    'single'    => [],
                                    'multiple'  => [],
                               ],
        'casts'             => [
                               ],
        'revision'          => [],
        'perPage'           => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],
    ],
];
