@extends('admin::curd.index')
@section('heading')
<i class="fa fa-file-text-o"></i> {!! trans('locations::districts.name') !!} <small> {!! trans('cms.manage') !!} {!! trans('locations::districts.names') !!}</small>
@stop

@section('title')
{!! trans('locations::districts.names') !!}
@stop

@section('breadcrumb')
<ol class="breadcrumb">
    <li><a href="{!! trans_url('admin') !!}"><i class="fa fa-dashboard"></i> {!! trans('cms.home') !!} </a></li>
    <li class="active">{!! trans('locations::districts.names') !!}</li>
</ol>
@stop

@section('entry')
<div class="box box-warning" id='locations-districts-entry'>
</div>
@stop

@section('tools')
@stop

@section('content')
<table id="locations-districts-list" class="table table-striped table-bordered">
    <thead>
        <th>{!! trans('locations::districts.label.name')!!}</th>
    </thead>
</table>
@stop

@section('script')
<script type="text/javascript">

var oTable;
$(document).ready(function(){
    app.load('#locations-districts-entry', '{!!URL::to('admin/locations/districts/0')!!}');
    oTable = $('#locations-districts-list').dataTable( {
        "ajax": '{!! URL::to('/admin/locations/districts') !!}',
        "columns": [
            {data :'name'},
        ],
        "pageLength": 50
    });

    $('#locations-districts-list tbody').on( 'click', 'tr', function () {

        if ($(this).hasClass('selected') ) {
            $(this).removeClass('selected');
        } else {
            oTable.$('tr.selected').removeClass('selected');
            $(this).addClass('selected');
        }

        var d = $('#locations-districts-list').DataTable().row( this ).data();

        $('#locations-districts-entry').load('{!!URL::to('admin/locations/districts')!!}' + '/' + d.id);

    });
});
</script>
@stop

@section('style')
@stop

